Bug 768717 - [abrt] gedit-3.2.5-1.fc16: g_object_unref: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.5-1.fc16: g_object_unref: Process /usr/bin/gedit was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:48cf06a4413d82b5fb5646af757...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-18 04:27 EST by joplju
Modified: 2013-02-13 16:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:57:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: build_ids (3.48 KB, text/plain)
2011-12-18 04:27 EST, joplju
no flags Details
File: dso_list (10.31 KB, text/plain)
2011-12-18 04:27 EST, joplju
no flags Details
File: smolt_data (3.19 KB, text/plain)
2011-12-18 04:27 EST, joplju
no flags Details
File: xsession_errors (2.83 KB, text/plain)
2011-12-18 04:27 EST, joplju
no flags Details
File: maps (43.50 KB, text/plain)
2011-12-18 04:27 EST, joplju
no flags Details
File: backtrace (27.72 KB, text/plain)
2011-12-18 04:27 EST, joplju
no flags Details

  None (edit)
Description joplju 2011-12-18 04:27:27 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 3
cmdline:        gedit
comment:        When opening various directories through the "Open" dialog, Gedit crashes for an unknown reason. The directory varies, but I've noticed it's more common when I've turned on or off viewing hidden files through Ctrl+H. 
crash_function: g_object_unref
executable:     /usr/bin/gedit
kernel:         3.1.5-2.fc16.x86_64
pid:            6260
pwd:            /home/justin
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
time:           Sun 18 Dec 2011 03:17:08 AM CST
uid:            1000
username:       justin

backtrace:      Text file, 28384 bytes
build_ids:      Text file, 3567 bytes
dso_list:       Text file, 10560 bytes
maps:           Text file, 44546 bytes
smolt_data:     Text file, 3269 bytes
xsession_errors: Text file, 2900 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=jjoplin-fed-laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=f4945e4a59e87ee5fac0fbea0000000f-1324176191.576283-163968220
:GNOME_KEYRING_CONTROL=/tmp/keyring-h1yjME
:IMSETTINGS_MODULE=none
:USER=justin
:LD_LIBRARY_PATH=/usr/lib/jvm/java/jre/lib/amd64
:USERNAME=justin
:MAIL=/var/spool/mail/justin
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/justin/.local/bin:/home/justin/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/justin
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1452
:LANG=en_US.UTF-8
:PYTHONSTARTUP=/home/justin/.pythonrc
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/justin
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=justin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-KQjwzrJYkz,guid=ae403aaa91bb1054455d16b300000030
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/justin
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-justin-7grkHc/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1456,unix/unix:/tmp/.ICE-unix/1456
:GPG_AGENT_INFO=/tmp/keyring-h1yjME/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-h1yjME/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1740-jjoplin-fed-laptop-gedit-16_TIME23677293
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=6260

var_log_messages:
:Dec 15 10:24:18 jjoplin-fed-laptop yum[2381]: Updated: 2:gedit-3.2.5-1.fc16.x86_64
:Dec 17 22:06:36 jjoplin-fed-laptop kernel: [ 5052.483177] gedit[3582]: segfault at 7 ip 000000339821131a sp 00007fffd5ada160 error 4 in libgobject-2.0.so.0.3000.1[3398200000+4c000]
:Dec 17 22:06:36 jjoplin-fed-laptop abrt[11963]: Saved core dump of pid 3582 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-17-22:06:36-3582 (121753600 bytes)
:Dec 17 22:28:18 jjoplin-fed-laptop kernel: [ 6354.549540] gedit[12004]: segfault at 3 ip 000000339821131a sp 00007fffb8567080 error 4 in libgobject-2.0.so.0.3000.1[3398200000+4c000]
:Dec 17 22:28:19 jjoplin-fed-laptop abrt[21045]: Saved core dump of pid 12004 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-17-22:28:18-12004 (103542784 bytes)
:Dec 18 02:54:27 jjoplin-fed-laptop kernel: [22323.661993] gedit[28672]: segfault at 4 ip 000000339821131a sp 00007fffda7d1740 error 4 in libgobject-2.0.so.0.3000.1[3398200000+4c000]
:Dec 18 02:54:29 jjoplin-fed-laptop abrt[30584]: Saved core dump of pid 28672 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-18-02:54:27-28672 (121917440 bytes)
:Dec 18 03:01:13 jjoplin-fed-laptop kernel: [22729.424217] gedit[30622]: segfault at 4 ip 000000339821131a sp 00007fff8defd690 error 4 in libgobject-2.0.so.0.3000.1[3398200000+4c000]
:Dec 18 03:01:13 jjoplin-fed-laptop abrt[31621]: Saved core dump of pid 30622 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-18-03:01:13-30622 (122974208 bytes)
:Dec 18 03:17:08 jjoplin-fed-laptop kernel: [23684.679880] gedit[6260]: segfault at 7f9200000003 ip 000000339821131a sp 00007fff17489b60 error 4 in libgobject-2.0.so.0.3000.1[3398200000+4c000]
:Dec 18 03:17:08 jjoplin-fed-laptop abrt[6289]: Saved core dump of pid 6260 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-18-03:17:08-6260 (71491584 bytes)
Comment 1 joplju 2011-12-18 04:27:30 EST
Created attachment 548363 [details]
File: build_ids
Comment 2 joplju 2011-12-18 04:27:31 EST
Created attachment 548364 [details]
File: dso_list
Comment 3 joplju 2011-12-18 04:27:33 EST
Created attachment 548365 [details]
File: smolt_data
Comment 4 joplju 2011-12-18 04:27:34 EST
Created attachment 548366 [details]
File: xsession_errors
Comment 5 joplju 2011-12-18 04:27:36 EST
Created attachment 548367 [details]
File: maps
Comment 6 joplju 2011-12-18 04:27:38 EST
Created attachment 548368 [details]
File: backtrace
Comment 7 Paul Wayper 2011-12-18 18:25:56 EST
Package: gedit-3.2.3-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Was trying to open a file and double-clicked on a directory to enter it.  Cannot reproduce.
Comment 8 Fedora End Of Life 2013-01-16 12:22:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 16:57:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.